## sdlip
Interface DAV

public interface DAV

This interface defines tag names of the DAV namespace "DAV:". Refer to the DAV specification for more information.

Field Summary
`static QName` `allprop`
`static QName` `and` The `DAV:and` operator performs a logical AND operation on the expressions it contains.
`static QName` `ascending`
`static QName` `basicsearch`
`static QName` `casesensitive` The `DAV:casesensitive` attribute allows clients to specify case-sensitive or case-insensitive behavior for `DAV:basicsearch` operators.
`static QName` `contains` The `DAV:contains` operator is an optional operator that provides content-based search capability.
`static QName` `depth`
`static QName` `descending`
`static int` `eBadRequest` Constants used in the SDLIP/DASL binding
`static int` `eInsufficientStorage`
`static QName` `eq` The `DAV:eq` operator provides simple equality matching on property values.
`static int` `eUnprocessableEntity`
`static QName` `FALSE` false
`static QName` `from`
`static QName` `getcontentlength` Property type that specifies content length
`static QName` `getcontenttype` Property type that specifies content type
`static QName` `gt`
`static QName` `gte`
`static QName` `href`
`static QName` `isdefined` The optional `DAV:isdefined` operator allows clients to determine whether a property is defined on a resource.
`static QName` `like` The `DAV:like` is an optional operator intended to give simple wildcard-based pattern matching ability to clients.
`static QName` `limit`
`static QName` `literal` `DAV:literal` allows literal values to be placed in an expression.
`static QName` `lt` The `DAV:lt`, `DAV:lte`, `DAV:gt`, and `DAV:gte` operators provide comparisons on property values, using less-than, less-than or equal, greater-than, and greater-than or equal respectively.
`static QName` `lte`
`static QName` `multistatus`
`static java.lang.String` `Namespace` DAV namespace
`static QName` `not` The `DAV:not` operator performs a logical NOT operation on the values it contains.
`static QName` `nresults`
`static QName` `or` The `DAV:or` operator performs a logical OR operation on the values it contains.
`static QName` `order`
`static QName` `orderby` The DAV:orderby element specifies the ordering of the result set.
`static QName` `prop`
`static QName` `propstat`
`static QName` `redirectarbiter`
`static QName` `response`
`static QName` `responsedescription`
`static int` `rMultiStatus`
`static QName` `scope`
`static QName` `score` The DAV:score XML element is a synthetic property whose value is defined only in the context of a query result where the server computes a score, e.g.
`static QName` `searchrequest` Elements used in the SDLIP/DASL binding
`static QName` `select`
`static QName` `status`
`static QName` `TRUE` true
`static QName` `where`

Field Detail

### Namespace

    public static final java.lang.String Namespace

  DAV namespace

  See Also:
    Constant Field Values

### where

    public static final QName where

### and

    public static final QName and

  The `DAV:and` operator performs a logical AND operation on the expressions it contains.

### or

    public static final QName or

  The `DAV:or` operator performs a logical OR operation on the values it contains.

### not

    public static final QName not

  The `DAV:not` operator performs a logical NOT operation on the values it contains.

### TRUE

    public static final QName TRUE

  true

### FALSE

    public static final QName FALSE

  false

### lt

    public static final QName lt

  The `DAV:lt`, `DAV:lte`, `DAV:gt`, and `DAV:gte` operators provide comparisons on property values, using less-than, less-than or equal, greater-than, and greater-than or equal respectively. The `DAV:casesensitive` attribute may be used with these elements.

### lte

    public static final QName lte

### gt

    public static final QName gt

### gte

    public static final QName gte

### eq

    public static final QName eq

  The `DAV:eq` operator provides simple equality matching on property values. The `DAV:casesensitive` attribute may be used with this element.

### isdefined

    public static final QName isdefined

  The optional `DAV:isdefined` operator allows clients to determine whether a property is defined on a resource.

### like

    public static final QName like

  The `DAV:like` is an optional operator intended to give simple wildcard-based pattern matching ability to clients. The operator takes two arguments. The first argument is a `DAV:prop` element identifying a single property to evaluate. The second argument is a `DAV:literal` element that gives the pattern matching string.

### order

    public static final QName order

### ascending

    public static final QName ascending

### descending

    public static final QName descending

### contains

    public static final QName contains

  The `DAV:contains` operator is an optional operator that provides content-based search capability. This operator implicitly searches against the text content of a resource, not against content of properties. The `DAV:contains` operator is intentionally not overly constrained, in order to allow the server to do the best job it can in performing the search.

### literal

    public static final QName literal

  `DAV:literal` allows literal values to be placed in an expression.

### orderby

    public static final QName orderby

  The DAV:orderby element specifies the ordering of the result set. It contains one or more DAV:order elements, each of which specifies a comparison between two items in the result set. Informally, a comparison specifies a test that determines whether one resource appears before another in the result set. Comparisons are applied in the order they occur in the `DAV:orderby` element, earlier comparisons being more significant.

### getcontentlength

    public static final QName getcontentlength

  Property type that specifies content length

### getcontenttype

    public static final QName getcontenttype

  Property type that specifies content type

### score

    public static final QName score

  The DAV:score XML element is a synthetic property whose value is defined only in the context of a query result where the server computes a score, e.g. based on relevance. It may be used in `DAV:select` or `DAV:orderby` elements. Servers SHOULD support this property. The value is a string representing the score, an integer from zero to 10000 inclusive, where a higher value indicates a higher score (e.g. more relevant).

### casesensitive

    public static final QName casesensitive

  The `DAV:casesensitive` attribute allows clients to specify case-sensitive or case-insensitive behavior for `DAV:basicsearch` operators. The possible values for `DAV:casesensitive` are "1" or "0". The "1" value indicates case-sensitivity. The "0" value indicates case-insensitivity. The default value is server-specified.

### eBadRequest

    public static final int eBadRequest

  Constants used in the SDLIP/DASL binding

  See Also:
    Constant Field Values

### eUnprocessableEntity

    public static final int eUnprocessableEntity

See Also:
  Constant Field Values

### eInsufficientStorage

    public static final int eInsufficientStorage

See Also:
  Constant Field Values

### rMultiStatus

    public static final int rMultiStatus

See Also:
  Constant Field Values

### searchrequest

    public static final QName searchrequest

  Elements used in the SDLIP/DASL binding

### prop

    public static final QName prop

### response

    public static final QName response

### href

    public static final QName href

### propstat

    public static final QName propstat

### limit

    public static final QName limit

### nresults

    public static final QName nresults

### scope

    public static final QName scope

### multistatus

    public static final QName multistatus

### responsedescription

    public static final QName responsedescription

### redirectarbiter

    public static final QName redirectarbiter

### status

    public static final QName status

### basicsearch

    public static final QName basicsearch

### allprop

    public static final QName allprop

### select

    public static final QName select

### from

    public static final QName from

### depth

    public static final QName depth